/*
 * Copyright (c) 2012 - 2013 Alexandre Tuleu
 *
 * This file is part of biorob-cpp.
 *
 *   biorob-cpp is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as
 *   published by the Free Software Foundation, either version 3 of the
 *   License, or (at your option) any later version.
 *
 *   biorob-cpp is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of both the GNU General Public
 *   License AND GNU Lesser General Public License along with
 *   biorob-cpp.  If not, see <http://www.gnu.org/licenses/>.
 */


/**
 * \file PluginUTest.h
 *
 *  \date Dec 3, 2012
 *  \author Alexandre Tuleu
 */

#ifndef BIOROB_CPP_PLUGINUTEST_H_
#define BIOROB_CPP_PLUGINUTEST_H_

#include <gtest/gtest.h>
#include "DummyPlugin.h"
#include <biorob-cpp/plugin/PluginLoader.h>
#include <map>

/**
 *
 */
class PluginUTest : public ::testing::Test {
	void SetUp();
	void TearDown();
protected :
	PluginLoader<DummyPlugin> d_loader;
	std::string d_pluginDir;

	typedef std::map<std::string,std::string> PluginOutputByName;
	PluginOutputByName d_pluginOutputByName;

};



#endif // BIOROB_CPP_PLUGINUTEST_H_
