/*
 * Copyright (c) 2012 - 2013 Alexandre Tuleu
 *
 * This file is part of biorob-cpp.
 *
 *   biorob-cpp is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as
 *   published by the Free Software Foundation, either version 3 of the
 *   License, or (at your option) any later version.
 *
 *   biorob-cpp is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of both the GNU General Public
 *   License AND GNU Lesser General Public License along with
 *   biorob-cpp.  If not, see <http://www.gnu.org/licenses/>.
 */


/**
 * \file FactoryUTest.h
 *
 *  \date Dec 20, 2010
 *  \author Alexandre Tuleu
 */

#ifndef LIBATULEU_FACTORYUTEST_H_
#define LIBATULEU_FACTORYUTEST_H_


#include <gtest/gtest.h>

#include "Prototype.h"

class MyObject : public Prototype<MyObject> {
	IS_PROTO_IMPLEMENTATION(MyObject,MyObject)
public :
	MyObject(const std::string & value);
	~MyObject();
	const std::string & Name() const;
private :
	std::string d_value;
};

/**
 *
 */
class FactoryUTest : public ::testing::Test{
protected :
	virtual void SetUp();

public :
	void checkIfExistsOrNot(const std::string & name,bool exists);
	void checkIfValueIsOk(const std::string & name);

	void registerMyObject(MyObject & a);
};

#endif // LIBAMARSI_QUAD_FACTORYUTEST_H_
